<!DOCTYPE html>
<html>

  <head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="My personal website">
    <meta name="author" content="Alexandre Acsensi">

    <title>Output devices</title>

    <link href="../../css/bootstrap.min.css" rel="stylesheet"> <!-- Bootstrap core CSS -->
    <link href="../../css/main.css" rel="stylesheet"> <!-- Custom styles for this template -->
    <link href="https://fonts.googleapis.com/css?family=Roboto:100,100i,300,300i,400,400i,500,500i,700,700i,900,900i" rel="stylesheet">

    <link rel="shortcut icon" type="image/png" href="../../img/aavlogo-black.png">

  </head>

  <body>

    <section id="mdeft1" >
      <div class="container">
        <div class="row">
          <div class="col-lg-8 mx-auto">
            <h2>Output devices</h2>
            <u><a class="text_black" href="http://academy.cba.mit.edu/classes/output_devices/index.html" target="_blank"><h6>FabAcademy output devices</h6></a></u>
            <u><a class="text_black" href="http://fab.academany.org/2019/labs/barcelona/local/wa/week11/" target="_blank"><h6>FabBarcelona output devices</h6></a></u>
            <br><br>
            <p>
            The aim of this week was to work with outputs. Learning how to program circuits.<br>
            I did this assignment with Ryota, we combined input and output weeks on the same board.
            </p>
            <br>
            <ul>
              <li> <u> <a class="text_black" href="#a"> What I want to do? Choosing output</a> </li> </u>
              <li> <u> <a class="text_black" href="#b"> Designing the board / how datasheet helped me  </a> </li> </u>
              <li> <u> <a class="text_black" target="_blank" href="files/w11files.zip" download> click to download the files</a> </li> </u>
            </ul>
            <br><br><br>
            <h5 id=a> What I want to do? Choosing output </h5>
            <br>
            <p>
              For my final project, I want to control an air pump. Opening it only 1 min each hour.
              To do this, i will use a transistor to open and close the current from the battery to the air pump.
              <br>
              ATtiny45 has a PWM pin that will work for me.
            </p>
            <i>Air pump and battery</i> <br><br>
            <p>
              First of all we checked the air pump with the power supply, to know the voltage and current needed. 3.5V for 0.16A. I'm will use a 3.7V Li-ion
               battery.
            </p>
            <video src="files/airpumptest.mp4" autoplay muted loop width="100%"> </video>
            <br><br>
            <div class="row">
              <div class="col-sm">
                <center><img src="files/airpump.jpeg" width="100%"></center>
              </div>
              <div class="col-sm">
                <center><img src="files/battery.jpeg" width="100%"></center>
              </div>
            </div>

            <br><br>

            <i>Circuit design</i>

            <br><br>

            <p>
              We designed a circuit with a N mosfet transistor connected to the digital output pin of the ATtiny45 to control when the
              air pump is open and when close.
              <br><br>
              <center><img src="files/diagram.jpeg" width="50%"></center>
              <br><br>
            </p>
            <p>
              Then we did the code. To save power we used a library called tinysnore that shuts down the ATtiny45 board.
              First we tried everything with arduino:

            </p>
              <code>
                #include <avr/sleep.h> <br>
                #include <avr/wdt.h> <br>
                #include "tinysnore.h" // Include TinySnore Library <br>
                <br>
                int aPpin = 1; //airPump <br>
                <br>
                void setup() <br>
                { <br>
                  pinMode(aPpin, OUTPUT); //AIR PUMP PIN <br>
                  digitalWrite(aPpin, LOW);  <br>
                } <br>
                <br>
                void loop() <br>
                { <br>
                  digitalWrite(aPpin, HIGH); // turn on air pump <br>
                  delay(60000); //1 min air pump on <br>
                  digitalWrite(aPpin, LOW); //turn of <br>
                  snore(3540000); // Deep sleeps for 59 minutes, low power consumption <br>
                }
              </code>
              <br><br>
              <center> <video src="files/ardutest.mp4" autoplay muted loop width="50%"> </video> </center>
              <br><br>

              <p>
                After this we did the board: same board as embedded programming week and input week.<br>
                And we programmed the board with the code above following the same steps as in embeded programming.
                <br><br>
                The final result looks like this:
              </p>
              <center> <video src="files/finaltest.mp4" autoplay muted loop width="50%"> </video> </center>




          </div>
        </div>
      </div>
    </section>

  </body>

</html>
